# Entrée du 10/04/2020

<!-- :transparence: :librisme: :orgmode: -->

## Données climatiques

- Lieu: Grenoble (France)
- Temps: Ensoleillé ([source](https://www.meteo-grenoble.com/))
    - Températures (°C):
        - Matin: 6
        - Après-midi: 26
        - Soir: 21
    - Risque de pluie (%): 0
    - Vent (km/h): 5 (direction variable)
- Indice de Qualité de l'Air ([source](https://aqicn.org/city/france/rhonealpes/isere/grenoble-grands-boulevards/))
    - Grands Boulevards: NaN 
    - Caserne De Bonne: 51

## Travail effectué

- Quiz 06 (100%)
- Quiz 07 (100%)
- Quiz 08 (67%)
- Quiz 09 (100%)
- QuizP 03 (67%)
- Quiz 10 (67%)
- Quiz 11 (67%)
- Exercices 02 (93%)

## Points abordés

- Exemples d'études contreversées pour manque de rigueur et/ou de transparence
    - non diffusion des données et/ou des méthodes de calcul (non transparence)
    - problèmes dans les outils ou méthodes utilisés (manque de rigueur)
    - erreurs de programmation (manque de rigueur)
- Sources possibles de non reproductibilité:
    - Utilisation de logiciels et formats propriétaires
    - Non accès au données, ni à la méthodologie utilisées
- Intérêts d'un document computationnel:
    - **Inspecter** les données et la (ou les) méthodes utilisées
    - **Refaire** les expériences, les inspecter, les corriger et les réutiliser dans d'autres contextes
- Principe d'un document computationnel:
    - Permet à la fois de décrire la méthodologie utilisée (markdown) et d'executer cette méthodologie (fragments de code)
    - Un coté programmation/script executable, un autre coté rendu d'un document final
- Logiciels "mature" pour écrire des documents computationnels
    - JupyteR (markdown / python, R, julia)
    - Rstudio/Rmarkdown (markdown / R, python)
    - Emacs/orgmode (org-mode / tout un tas de langages)
- Le choix de l'outil dépend principalement des besoins, en terme de reproductibilité l'important est:
    - collecter l'information
    - l'organiser et la rendre accessible
    - la rendre disponible

## Connaissances acquises

- Régles de bases pour la reproductibilité de son travail:
    - Privilégier les logiciels et formats libres
    - Être le plus transparent possible dans la méthodologie et les données utilisées
    - Justifier chaque choix méthodologique
    - Utiliser des documents computationnels

- Emacs/Orgmode:
    - Langage de description orgmode
    - TAB: ouvre/ferme les sections
    - ctrl-c ctrl-c : execute bloc courant
    - alt-x org-babel-execute-buffer: réexécute tout le document computationnel
    - ctrl-c ctrl-e : exporte le document computationnel au format souhaité
    - ctrl-c ctrl-q noexport: permet d'étiquetter les parties du document à ne pas exporter
    - ctrl-c c j : ouvre une entrée dans ~/org/journal.org
    - ctrl-x g : ouvre magit-status (permet ensuite, entre autres, de commiter et de push)  

- Commandes spécifiques (décrites dans journal.org):
    - <r TAB: ouvre bloc programmation R sortie textuelle
    - <R TAB: ouvre bloc programmation R sortie image
    - <p TAB: ouvre bloc programmation python
    - <PP TAB: ouvre bloc programmation graphique python
    - <B TAB: ouver bloc programmation shell
